## cython 0.29.10

=== debian/changelog ===
cython (0.29.10-0ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:32:41 +0000

cython (0.29.10-0ubuntu1) eoan; urgency=medium

  * New upstream version, supporting Python 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jun 2019 13:20:19 +0200

## cython 0.29.13

=== debian/changelog ===
cython (0.29.13-0ubuntu1) focal; urgency=medium

  * New upstream version.
  * Don't run the tests for 3.8, NumPy isn't yet built.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 17:19:29 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/dpkg/pkg-info.mk

#  Apparently WGET agent is not favored by upstream's MoinMoin
WGET_AGENT_STRING="Lynx/2.8.8dev.4 libwww-FM/2.14 SSL-MM/1.4.1 GNUTLS/2.8.6"
WGET=wget -q --user-agent=$(WGET_AGENT_STRING)
WIKI_URL=http://wiki.cython.org

# Python versions
PYDEF=$(shell pyversions -dv)
PY2VERS=$(shell pyversions -vr)
PY3VERS=$(shell py3versions -vr)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  RUNTESTSOPTS=--shard_count=$(NUMJOBS)
endif

# In case matplotlib or anything else inquires
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(CURDIR)/build

%:
	dh $@ --with python2,python3 --buildsystem python_distutils

override_dh_auto_build:
	dh_auto_build

	: # Build for Python 3
	set -e; for v in $(PY3VERS); do \
	 python$$v setup.py build; \
	 python$$v-dbg setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install

	: # Install for Python 3
	set -e; for v in $(PY3VERS); do \
	 python$$v setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	 python$$v-dbg setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

	: # Force the creation of cython3 and cygdb3 executables.
	: # Shebang lines are fixed in override_dh_install.
	cp debian/tmp/usr/bin/cython debian/tmp/usr/bin/cython3
	cp debian/tmp/usr/bin/cygdb debian/tmp/usr/bin/cygdb3

override_dh_installman-arch: build/cython.1
	dh_installman

build/cython.1:
	: # Generate a manpage using help2man
	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PYDEF)` \
	  help2man --no-info --no-discard-stderr \
		-n "compile Cython code (.pyx) into C to build a Python extension" \
		bin/cython >| build/cython.1
	: # Verify that manpage generated nicely -- no Errors reported
	grep -q 'ImportError:' build/cython.1 && exit 1 || :

override_dh_install-indep:
	dh_install

override_dh_install-arch:
	dh_install

	: # fix shebang
	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python,' debian/cython/usr/bin/*
	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python3,' debian/cython3/usr/bin/*

	: # remove files installed from cython.install that belong in -dbg
	find $(CURDIR)/debian/cython/ -name "*_d.so" -delete
	find $(CURDIR)/debian/cython3/ -name "*.cpython-3?d*.so" -delete

	: # share -dbg and normal package doc dirs
	rm -rf debian/cython-dbg/usr/share/doc/cython-dbg
	dh_link -pcython-dbg usr/share/doc/cython usr/share/doc/cython-dbg
	rm -rf debian/cython3-dbg/usr/share/doc/cython3-dbg
	dh_link -pcython3-dbg usr/share/doc/cython3 usr/share/doc/cython3-dbg
	# add debian version to watermark of generated files
	set -e; for v in $(PY2VERS); do \
	  sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
	  debian/cython/usr/lib/python$$v/dist-packages/Cython/Compiler/Version.py; \
	done
	sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
	  debian/cython3/usr/lib/python3/dist-packages/Cython/Compiler/Version.py


override_dh_installdocs:
	: # Build Documentation
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
	: # not building documentation in -a
	: # just faking having documentation so that dh-installdocs doesn't fail
	mkdir -p docs/build/html
else
	make -C docs html
	: # Use jquery/underscore from Debian package, so prune shipped one
	-rm docs/build/html/_static/jquery.js docs/build/html/_static/underscore.js
endif
endif
	dh_installdocs --package=cython --package=cython-dbg --link-doc=cython debian/upstream
	dh_installdocs --package=cython3 --package=cython3-dbg --link-doc=cython3 debian/upstream
	dh_installdocs --package=cython-doc debian/upstream


override_dh_installchangelogs:
	dh_installchangelogs --all CHANGES.rst


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for P in $(PY2VERS) $(filter-out 3.8, $(PY3VERS)); do \
	 echo =============== $$P start ===============; \
	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
            --no-refnanny -v -v \
	    --exclude="(parallel|Debugger|annotate_html|numpy_test)" \
	    --work-dir=build/work-dir 2>&1; \
	 echo =============== $$P done ===============; \
	done
endif

override_dh_python2:
	dh_python2 -pcython

override_dh_python3:
	dh_python3 -pcython3


override_dh_strip:
	dh_strip -pcython --dbg-package=cython-dbg
	dh_strip -pcython3 --dbg-package=cython3-dbg

override_dh_auto_clean:
	make clean
	rm -rf Cython.egg-info docs/build
	find -name "*.py[oc]" -type f -delete

## cython 0.29.14

=== Makefile ===
PACKAGENAME=Cython
PYTHON?=python
TESTOPTS?=
REPO = git://github.com/cython/cython.git
VERSION?=$(shell sed -ne 's|^__version__\s*=\s*"\([^"]*\)".*|\1|p' Cython/Shadow.py)

MANYLINUX_IMAGE_X86_64=quay.io/pypa/manylinux1_x86_64
MANYLINUX_IMAGE_686=quay.io/pypa/manylinux1_i686

all:    local

local:
	${PYTHON} setup.py build_ext --inplace

sdist: dist/$(PACKAGENAME)-$(VERSION).tar.gz

dist/$(PACKAGENAME)-$(VERSION).tar.gz:
	$(PYTHON) setup.py sdist

TMPDIR = .repo_tmp
.git: .gitrev
	rm -rf $(TMPDIR)
	git clone -n $(REPO) $(TMPDIR)
	cd $(TMPDIR) && git reset -q "$(shell cat .gitrev)"
	mv $(TMPDIR)/.git .
	rm -rf $(TMPDIR)
	git ls-files -d | xargs git checkout --

repo: .git


clean:
	@echo Cleaning Source
	@rm -fr build
	@rm -f *.py[co] */*.py[co] */*/*.py[co] */*/*/*.py[co]
	@rm -f *.so */*.so */*/*.so
	@rm -f *.pyd */*.pyd */*/*.pyd
	@rm -f *~ */*~ */*/*~
	@rm -f core */core
	@rm -f Cython/Compiler/*.c
	@rm -f Cython/Plex/*.c
	@rm -f Cython/Tempita/*.c
	@rm -f Cython/Runtime/refnanny.c
	@(cd Demos; $(MAKE) clean)

testclean:
	rm -fr BUILD TEST_TMP

test:	testclean
	${PYTHON} runtests.py -vv ${TESTOPTS}

s5:
	$(MAKE) -C Doc/s5 slides

wheel_manylinux: wheel_manylinux64 wheel_manylinux32

wheel_manylinux32 wheel_manylinux64: dist/$(PACKAGENAME)-$(VERSION).tar.gz
	echo "Building wheels for $(PACKAGENAME) $(VERSION)"
	mkdir -p wheelhouse_$(subst wheel_,,$@)
	time docker run --rm -t \
		-v $(shell pwd):/io \
		-e CFLAGS="-O3 -g0 -mtune=generic -pipe -fPIC" \
		-e LDFLAGS="$(LDFLAGS) -fPIC" \
		-e WHEELHOUSE=wheelhouse_$(subst wheel_,,$@) \
		$(if $(patsubst %32,,$@),$(MANYLINUX_IMAGE_X86_64),$(MANYLINUX_IMAGE_686)) \
		bash -c 'for PYBIN in /opt/python/*/bin; do \
		    $$PYBIN/python -V; \
		    { $$PYBIN/pip wheel -w /io/$$WHEELHOUSE /io/$< & } ; \
		    done; wait; \
		    for whl in /io/$$WHEELHOUSE/$(PACKAGENAME)-$(VERSION)-*-linux_*.whl; do auditwheel repair $$whl -w /io/$$WHEELHOUSE; done'

=== debian/changelog ===
cython (0.29.14-0.1ubuntu3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:43:20 +0100

cython (0.29.14-0.1ubuntu2) focal; urgency=medium

  * Build using pybuild.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2020 17:43:03 +0100

cython (0.29.14-0.1ubuntu1) focal; urgency=medium

  * Drop python-numpy build-dependencies on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 12 Jan 2020 13:47:22 -0800

cython (0.29.14-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version, more Python 3.8 fixes. Closes: #942696.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Nov 2019 13:16:50 +0100

cython (0.29.13-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version, supporting Python 3.8. Closes: #942696.
  * Run the tests for every python version, but ignore failures for
    a first build.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Oct 2019 21:58:37 +0200

=== debian/control ===
Source: cython
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-python,
               dpkg-dev (>= 1.16.1~),
               python-all-dev (>= 2.6.6-3~), python-all-dbg,
               help2man (>= 1.37.1~),
               python3-sphinx,
               python-numpy (>= 1:1.12.1-3.1) [!i386] <!nocheck>,
               python3-all-dev,
               python3-all-dbg,
               python3-numpy (>= 1:1.12.1-3.1) [!i386] <!nocheck>,
               gdb,
Standards-Version: 4.3.0
Homepage: http://cython.org/
Vcs-Git: https://salsa.debian.org/python-team/applications/cython.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/cython

Package: cython
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: python-dev, gcc
Suggests: cython-doc
Description: C-Extensions for Python
 Cython is a language that makes writing C extensions for the Python language as
 easy as Python itself. Cython is based on the well-known Pyrex, but supports
 more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython-dbg
Architecture: any
Section: debug
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython (= ${binary:Version})
Description: C-Extensions for Python - debug build
 This package contains Cython libraries built against versions of
 Python configured with --pydebug.

Package: cython3
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-dev, gcc
Suggests: cython-doc
Description: C-Extensions for Python 3
 Cython is a language that makes writing C extensions for the Python language as
 easy as Python itself. Cython is based on the well-known Pyrex, but supports
 more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython3-dbg
Architecture: any
Section: debug
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython3 (= ${binary:Version})
Description: C-Extensions for Python 3 - debug build
 This package contains Cython libraries built against versions of
 Python configured with --pydebug.

Package: cython-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: cython
Description: C-Extensions for Python - documentation
 This package contains documentation for Cython.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 export MPLCONFIGDIR=$(CURDIR)/build
 
 %:
-	dh $@ --with python2,python3 --buildsystem python_distutils
+	dh $@ --with python2,python3 --buildsystem pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -111,14 +111,18 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e; for P in $(PY2VERS) $(filter-out 3.8, $(PY3VERS)); do \
+	set -e; for P in $(PY2VERS) $(PY3VERS); do \
 	 echo =============== $$P start ===============; \
-	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
+	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
 	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
             --no-refnanny -v -v \
 	    --exclude="(parallel|Debugger|annotate_html|numpy_test)" \
 	    --work-dir=build/work-dir 2>&1; \
-	 echo =============== $$P done ===============; \
+	 then \
+	   echo =============== $$P done ===============; \
+	 else \
+	   echo "=============== $$P done (FAILURES IGNORED) ==============="; \
+	 fi; \
 	done
 endif

=== debian/tests/control ===
Tests: import2
Depends: cython, cython-dbg, python-all, python-all-dbg

Tests: import3
Depends: cython3, cython3-dbg, python3-all, python3-all-dbg

=== debian/watch ===
version=3
opts=uversionmangle=s/.alpha/~alpha/;s/.beta/~beta/;s/.rc/~rc/;s/([0-9])([ab][0-9]*)/$1~$2/g \
 https://pypi.debian.net/Cython/Cython-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## cython 0.29.21

=== debian/changelog ===
cython (0.29.21-1ubuntu2) hirsute; urgency=medium

  * Drop nump b-d for a first build with 3.9.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 18:56:26 +0200

cython (0.29.21-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Aug 2020 16:03:09 +0200

cython (0.29.21-1) unstable; urgency=medium

  * New upstream release; Closes: #963084

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jul 2020 23:17:28 -0400

cython (0.29.14-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #936363, #942939, #906699
  * Switch to pybuild

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Jun 2020 23:54:03 -0400

cython (0.29.14-1) unstable; urgency=medium

  * Team upload.
  * Manual rebuild for python3.7 removal.
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Apr 2020 17:11:55 -0400

=== debian/control ===
Source: cython
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-python,
               dpkg-dev (>= 1.16.1~),
               help2man (>= 1.37.1~),
               python3-sphinx,
               python3-all-dev,
               python3-all-dbg,
#               python3-numpy (>= 1:1.12.1-3.1) [!i386] <!nocheck>,
               gdb,
Standards-Version: 4.5.0
Homepage: http://cython.org/
Vcs-Git: https://salsa.debian.org/python-team/applications/cython.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/cython

Package: cython3
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-dev, gcc
Suggests: cython-doc
Description: C-Extensions for Python 3
 Cython is a language that makes writing C extensions for the Python language as
 easy as Python itself. Cython is based on the well-known Pyrex, but supports
 more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython3-dbg
Architecture: any
Section: debug
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython3 (= ${binary:Version})
Description: C-Extensions for Python 3 - debug build
 This package contains Cython libraries built against versions of
 Python configured with --pydebug.

Package: cython-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: cython3
Description: C-Extensions for Python - documentation
 This package contains documentation for Cython.

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 WIKI_URL=http://wiki.cython.org
 
 # Python versions
-PYDEF=$(shell pyversions -dv)
-PY2VERS=$(shell pyversions -vr)
+PY3DEF=$(shell py3versions -dv)
 PY3VERS=$(shell py3versions -vr)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -22,7 +21,7 @@
 export MPLCONFIGDIR=$(CURDIR)/build
 
 %:
-	dh $@ --with python2,python3 --buildsystem pybuild
+	dh $@ --with python3 --buildsystem pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -52,7 +51,7 @@
 
 build/cython.1:
 	: # Generate a manpage using help2man
-	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PYDEF)` \
+	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PY3DEF)` \
 	  help2man --no-info --no-discard-stderr \
 		-n "compile Cython code (.pyx) into C to build a Python extension" \
 		bin/cython >| build/cython.1
@@ -66,23 +65,15 @@
 	dh_install
 
 	: # fix shebang
-	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python,' debian/cython/usr/bin/*
 	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python3,' debian/cython3/usr/bin/*
 
 	: # remove files installed from cython.install that belong in -dbg
-	find $(CURDIR)/debian/cython/ -name "*_d.so" -delete
 	find $(CURDIR)/debian/cython3/ -name "*.cpython-3?d*.so" -delete
 
 	: # share -dbg and normal package doc dirs
-	rm -rf debian/cython-dbg/usr/share/doc/cython-dbg
-	dh_link -pcython-dbg usr/share/doc/cython usr/share/doc/cython-dbg
 	rm -rf debian/cython3-dbg/usr/share/doc/cython3-dbg
 	dh_link -pcython3-dbg usr/share/doc/cython3 usr/share/doc/cython3-dbg
 	# add debian version to watermark of generated files
-	set -e; for v in $(PY2VERS); do \
-	  sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
-	  debian/cython/usr/lib/python$$v/dist-packages/Cython/Compiler/Version.py; \
-	done
 	sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
 	  debian/cython3/usr/lib/python3/dist-packages/Cython/Compiler/Version.py
 
@@ -100,7 +91,6 @@
 	-rm docs/build/html/_static/jquery.js docs/build/html/_static/underscore.js
 endif
 endif
-	dh_installdocs --package=cython --package=cython-dbg --link-doc=cython debian/upstream
 	dh_installdocs --package=cython3 --package=cython3-dbg --link-doc=cython3 debian/upstream
 	dh_installdocs --package=cython-doc debian/upstream
 
@@ -111,7 +101,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e; for P in $(PY2VERS) $(PY3VERS); do \
+	-set -e; for P in $(PY3VERS); do \
 	 echo =============== $$P start ===============; \
 	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
 	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
@@ -126,15 +116,11 @@
 	done
 endif
 
-override_dh_python2:
-	dh_python2 -pcython
-
 override_dh_python3:
 	dh_python3 -pcython3
 
 
 override_dh_strip:
-	dh_strip -pcython --dbg-package=cython-dbg
 	dh_strip -pcython3 --dbg-package=cython3-dbg
 
 override_dh_auto_clean:

=== debian/tests/control ===
Tests: import3
Depends: cython3, cython3-dbg, python3-all, python3-all-dbg

## cython 0.29.24

=== debian/changelog ===
cython (0.29.24-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Dec 2021 15:12:42 +0000

cython (0.29.24-2) unstable; urgency=medium

  * Team upload.
  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Reduce Build-Depends: (Closes: #981502)
    + Demote python3-sphinx to Build-Depends-Indep.
    + Annotate gdb dependency <!nocheck>.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Dec 2021 18:47:04 +0100

cython (0.29.24-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + cython3-dbg: Add Multi-Arch: same.

  [ Sandro Tosi ]
  * New upstream release; Closes: #991946
  * debian/patches/23c3e1e71c42ac4a3d791267a1f8f7ac3df1c3cc.patch
    - include upstream change to fix doc build
  * debian/patches/deb_nopngmath
    - drop patch, no longer needed

 -- Sandro Tosi <morph@debian.org>  Wed, 20 Oct 2021 22:41:55 -0400

cython (0.29.24-0ubuntu3) jammy; urgency=medium

  * Fix compatibility with Sphinx 4.2.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 20 Oct 2021 08:00:23 +0000

cython (0.29.24-0ubuntu2) jammy; urgency=medium

  * Replace remaining changes after merge:
    + Drop python-numpy build-dependencies on i386
    + Drop numpy b-d for a first build with 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 19 Oct 2021 11:55:50 +0000

cython (0.29.24-0ubuntu1) jammy; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + cython3-dbg: Add Multi-Arch: same.

  [ Sandro Tosi ]
  * New upstream release; Closes: #991946

  [ Graham Inggs ]
  * Refresh debian/patches/deb_nopngmath

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 19 Oct 2021 07:31:26 +0000

cython (0.29.21-3) unstable; urgency=medium

  * Team upload
  * Reinstate build dependency on python3-numpy and enable tests

 -- Graham Inggs <ginggs@debian.org>  Sun, 18 Oct 2020 14:30:27 +0000

cython (0.29.21-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Graham Inggs ]
  * Drop build dependency on python3-numpy for a first python3.9 build
    and don't run the tests for this build

 -- Graham Inggs <ginggs@debian.org>  Wed, 14 Oct 2020 09:52:40 +0000

cython (0.29.21-1ubuntu4) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:56:13 +0000

cython (0.29.21-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:19:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-python,
                dpkg-dev (>= 1.16.1~),
                help2man (>= 1.37.1~),
-               python3-sphinx,
                python3-all-dev,
                python3-all-dbg,
-#               python3-numpy (>= 1:1.12.1-3.1) [!i386] <!nocheck>,
-               gdb,
+               python3-numpy (>= 1:1.12.1-3.1) [!i386] <!nocheck>,
+               gdb <!nocheck>,
+Build-Depends-Indep: python3-sphinx,
 Standards-Version: 4.5.0
 Homepage: http://cython.org/
-Vcs-Git: https://salsa.debian.org/python-team/applications/cython.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/cython
+Vcs-Git: https://salsa.debian.org/python-team/packages/cython.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/cython
 
 Package: cython3
 Architecture: any
@@ -40,6 +40,7 @@
 Architecture: any
 Section: debug
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython3 (= ${binary:Version})
+Multi-Arch: same
 Description: C-Extensions for Python 3 - debug build
  This package contains Cython libraries built against versions of
  Python configured with --pydebug.
@@ -52,4 +53,3 @@
 Suggests: cython3
 Description: C-Extensions for Python - documentation
  This package contains documentation for Cython.
-

## cython 0.29.28

=== debian/changelog ===
cython (0.29.28-1ubuntu3) jammy; urgency=medium

  * Fix cython3-dbg installation for Python 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:07:30 +0000

cython (0.29.28-1ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:48:27 +0000

cython (0.29.28-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 23 Feb 2022 18:12:26 +0000

cython (0.29.28-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev, help2man and
      python3-numpy.

  [ Graham Inggs ]
  * New upstream release
  * Drop 23c3e1e71c42ac4a3d791267a1f8f7ac3df1c3cc.patch included upstream
  * Mark import3 autopkgtest as superficial (Closes: #971460)

 -- Graham Inggs <ginggs@debian.org>  Wed, 23 Feb 2022 12:31:37 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-python,
-               dpkg-dev (>= 1.16.1~),
-               help2man (>= 1.37.1~),
+               help2man,
                python3-all-dev,
                python3-all-dbg,
-               python3-numpy (>= 1:1.12.1-3.1) [!i386] <!nocheck>,
+               python3-numpy [!i386] <!nocheck>,
                gdb <!nocheck>,
 Build-Depends-Indep: python3-sphinx,
 Standards-Version: 4.5.0

=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,7 @@
 	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python3,' debian/cython3/usr/bin/*
 
 	: # remove files installed from cython.install that belong in -dbg
-	find $(CURDIR)/debian/cython3/ -name "*.cpython-3?d*.so" -delete
+	find $(CURDIR)/debian/cython3/ -name "*.cpython-3*d*.so" -delete
 
 	: # share -dbg and normal package doc dirs
 	rm -rf debian/cython3-dbg/usr/share/doc/cython3-dbg
@@ -101,7 +101,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	-set -e; for P in $(PY3VERS); do \
+	set -e; for P in $(PY3VERS); do \
 	 echo =============== $$P start ===============; \
 	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
 	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \

=== debian/tests/control ===
Tests: import3
Depends: cython3, cython3-dbg, python3-all, python3-all-dbg
Restrictions: superficial

## cython 0.29.30

=== debian/changelog ===
cython (0.29.30-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 Jun 2022 15:02:41 +0000

cython (0.29.30-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.29.30.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jun 2022 10:12:47 -0400

cython (0.29.28-3) unstable; urgency=medium

  * Team upload
  * Fixed another 2-digit minor version bug.
  * Skip tests on sparc64, where they frequently fail. (Closes: #1003181)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Mar 2022 23:20:26 -0400

cython (0.29.28-2) unstable; urgency=medium

  * Team upload
  * Handle 2-digit Python minor versions.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Mar 2022 14:29:17 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/architecture.mk
 
 #  Apparently WGET agent is not favored by upstream's MoinMoin
 WGET_AGENT_STRING="Lynx/2.8.8dev.4 libwww-FM/2.14 SSL-MM/1.4.1 GNUTLS/2.8.6"
@@ -100,7 +101,7 @@
 
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter sparc64,$(DEB_HOST_ARCH)))
 	set -e; for P in $(PY3VERS); do \
 	 echo =============== $$P start ===============; \
 	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \

## cython 0.29.32

=== debian/changelog ===
cython (0.29.32-2) unstable; urgency=medium

  * Team upload.
  * Patch: Avoid triggering an assertion failure on python3.11-dbg when
    calling cyfuncs.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Nov 2022 19:59:12 +0200

cython (0.29.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.29.32.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Sep 2022 14:31:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: cython
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-python,
                help2man,
                python3-all-dev,
                python3-all-dbg,
-               python3-numpy [!i386] <!nocheck>,
+               python3-numpy <!nocheck>,
                gdb <!nocheck>,
 Build-Depends-Indep: python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: http://cython.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/cython.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cython

## cython 0.29.36

=== debian/changelog ===
cython (0.29.36-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Nov 2023 22:46:36 +0100

cython (0.29.36-2) unstable; urgency=medium

  * Team upload.
  * Remove unnecessary non-pybuild parts of the build. (Closes: #904211)
  * Replace cython3-dbg with --automatic-dbgsym.
  * Minor rules cleanup.
  * Use dh-exec to rename commands.
  * Run the upstream test suite in an autopkgtest.
  * Build-Depend on python3-setuptools, upstream uses distutils which will be
    removed from 3.12.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 23 Nov 2023 14:32:11 +0000

cython (0.29.36-1ubuntu2) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 19:01:40 +0100

cython (0.29.36-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Jul 2023 13:16:19 +0200

cython (0.29.36-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Includes Python 3.12 support (Closes: #1004725)
  * Drop patch py3.11-dbg-assertion.patch, supersedde upstream.
  * Clean pybuild's work directory.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 07 Jul 2023 10:05:47 -0400

cython (0.29.32-2ubuntu2) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 14:46:27 -0500

cython (0.29.32-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 01 Dec 2022 15:18:53 +0000

cython (0.29.32-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #1995992), remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Nov 2022 12:08:12 +0000

cython (0.29.30-1ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 06:27:33 +0000

=== debian/control ===
Source: cython
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondrej Certik <ondrej@certik.cz>,
           Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-exec,
               dh-python,
               gdb <!nocheck>,
               help2man,
               python3-all-dbg,
               python3-all-dev,
               python3-numpy [!i386] <!nocheck>,
               python3-setuptools <!nocheck>
Build-Depends-Indep: python3-sphinx
Standards-Version: 4.6.1
Homepage: http://cython.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/cython.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cython

Package: cython3
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: gcc, python3-dev
Suggests: cython-doc
Description: C-Extensions for Python 3
 Cython is a language that makes writing C extensions for the Python language as
 easy as Python itself. Cython is based on the well-known Pyrex, but supports
 more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Suggests: cython3
Description: C-Extensions for Python - documentation
 This package contains documentation for Cython.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

# Python versions
PY3DEF=$(shell py3versions -dv)
PY3VERS=$(shell py3versions -vr)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  RUNTESTSOPTS=--shard_count=$(NUMJOBS)
endif

# In case matplotlib or anything else inquires
export HOME=$(CURDIR)/build
export MPLCONFIGDIR=$(CURDIR)/build

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_installman-arch: build/cython.1
	dh_installman -a

build/cython.1:
	: # Generate a manpage using help2man
	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PY3DEF)` \
	  help2man --no-info --no-discard-stderr \
		-n "compile Cython code (.pyx) into C to build a Python extension" \
		bin/cython >| build/cython.1
	: # Verify that manpage generated nicely -- no Errors reported
	grep -q 'ImportError:' build/cython.1 && exit 1 || :

override_dh_install-indep:
	dh_install -i

override_dh_install-arch:
	dh_install -a

	: # fix shebang
	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python3,' debian/cython3/usr/bin/*

	# add debian version to watermark of generated files
	sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
	  debian/cython3/usr/lib/python3*/dist-packages/Cython/Compiler/Version.py


override_dh_installdocs:
	: # Build Documentation
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
ifneq (,$(findstring -a,$(DH_INTERNAL_OPTIONS)))
	: # not building documentation in -a
	: # just faking having documentation so that dh-installdocs doesn't fail
	mkdir -p docs/build/html
else
	make -C docs html
	: # Use jquery/underscore from Debian package, so prune shipped one
	-rm docs/build/html/_static/jquery.js docs/build/html/_static/underscore.js
endif
endif
	dh_installdocs --package=cython3 --link-doc=cython3 debian/upstream
	dh_installdocs --package=cython-doc debian/upstream


override_dh_installchangelogs:
	dh_installchangelogs --all CHANGES.rst


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter sparc64,$(DEB_HOST_ARCH)))
	set -e; for P in $(PY3VERS); do \
	 echo =============== $$P start ===============; \
	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
            --no-refnanny -v -v \
	    --exclude="(parallel|Debugger|annotate_html|numpy_test)" \
	    --work-dir=build/work-dir 2>&1; \
	 then \
	   echo =============== $$P done ===============; \
	 else \
	   echo "=============== $$P done (FAILURES IGNORED) ==============="; \
	 fi; \
	done
endif

override_dh_strip:
	dh_strip --dbgsym-migration='cython3-dbg (<< 0.29.36-1~)'

override_dh_auto_clean:
	make clean
	rm -rf Cython.egg-info docs/build
	rm -rf .pybuild
	find -name "*.py[oc]" -type f -delete

## cython 3.0.5

=== debian/changelog ===
cython (3.0.5-0ubuntu1) noble; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Nov 2023 13:57:10 +0100

=== debian/control ===
Source: cython
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-python,
               help2man,
               python3-all-dev,
               python3-all-dbg,
               python3-numpy [!i386] <!nocheck>,
               gdb <!nocheck>,
Build-Depends-Indep: python3-sphinx,
  python3-sphinx-issues,
  python3-sphinx-tabs,
Standards-Version: 4.6.1
Homepage: http://cython.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/cython.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cython

Package: cython3
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-dev, gcc
Suggests: cython-doc
Description: C-Extensions for Python 3
 Cython is a language that makes writing C extensions for the Python language as
 easy as Python itself. Cython is based on the well-known Pyrex, but supports
 more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython3-dbg
Architecture: any
Section: debug
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython3 (= ${binary:Version})
Multi-Arch: same
Description: C-Extensions for Python 3 - debug build
 This package contains Cython libraries built against versions of
 Python configured with --pydebug.

Package: cython-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: cython3
Description: C-Extensions for Python - documentation
 This package contains documentation for Cython.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 # -*- makefile -*-
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
+
+#  Apparently WGET agent is not favored by upstream's MoinMoin
+WGET_AGENT_STRING="Lynx/2.8.8dev.4 libwww-FM/2.14 SSL-MM/1.4.1 GNUTLS/2.8.6"
+WGET=wget -q --user-agent=$(WGET_AGENT_STRING)
+WIKI_URL=http://wiki.cython.org
 
 # Python versions
 PY3DEF=$(shell py3versions -dv)
@@ -19,8 +24,31 @@
 %:
 	dh $@ --with python3 --buildsystem pybuild
 
+override_dh_auto_build:
+	dh_auto_build
+
+	: # Build for Python 3
+	set -e; for v in $(PY3VERS); do \
+	 python$$v setup.py build; \
+	 python$$v-dbg setup.py build; \
+	done
+
+override_dh_auto_install:
+	dh_auto_install
+
+	: # Install for Python 3
+	set -e; for v in $(PY3VERS); do \
+	 python$$v setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
+	 python$$v-dbg setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
+	done
+
+	: # Force the creation of cython3 and cygdb3 executables.
+	: # Shebang lines are fixed in override_dh_install.
+	cp debian/tmp/usr/bin/cython debian/tmp/usr/bin/cython3
+	cp debian/tmp/usr/bin/cygdb debian/tmp/usr/bin/cygdb3
+
 override_dh_installman-arch: build/cython.1
-	dh_installman -a
+	dh_installman
 
 build/cython.1:
 	: # Generate a manpage using help2man
@@ -32,17 +60,23 @@
 	grep -q 'ImportError:' build/cython.1 && exit 1 || :
 
 override_dh_install-indep:
-	dh_install -i
+	dh_install
 
 override_dh_install-arch:
-	dh_install -a
+	dh_install
 
 	: # fix shebang
 	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python3,' debian/cython3/usr/bin/*
 
+	: # remove files installed from cython.install that belong in -dbg
+	find $(CURDIR)/debian/cython3/ -name "*.cpython-3*d*.so" -delete
+
+	: # share -dbg and normal package doc dirs
+	rm -rf debian/cython3-dbg/usr/share/doc/cython3-dbg
+	dh_link -pcython3-dbg usr/share/doc/cython3 usr/share/doc/cython3-dbg
 	# add debian version to watermark of generated files
 	sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
-	  debian/cython3/usr/lib/python3*/dist-packages/Cython/Compiler/Version.py
+	  debian/cython3/usr/lib/python3/dist-packages/Cython/Compiler/Version.py
 
 
 override_dh_installdocs:
@@ -58,7 +92,7 @@
 	-rm docs/build/html/_static/jquery.js docs/build/html/_static/underscore.js
 endif
 endif
-	dh_installdocs --package=cython3 --link-doc=cython3 debian/upstream
+	dh_installdocs --package=cython3 --package=cython3-dbg --link-doc=cython3 debian/upstream
 	dh_installdocs --package=cython-doc debian/upstream
 
 
@@ -83,8 +117,12 @@
 	done
 endif
 
+override_dh_python3:
+	dh_python3 -pcython3
+
+
 override_dh_strip:
-	dh_strip --dbgsym-migration='cython3-dbg (<< 0.29.36-1~)'
+	dh_strip -pcython3 --dbg-package=cython3-dbg
 
 override_dh_auto_clean:
 	make clean

## cython 3.0.7

=== debian/changelog ===
cython (3.0.7-0ubuntu1) noble; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Dec 2023 10:40:39 +0100

cython (3.0.6-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Dec 2023 10:33:27 +0100

cython (3.0.6-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Restore the old cython binary (and keep cython3 as a symbolic link).
    (Closes: #686045)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Dec 2023 10:57:23 -0400

cython (3.0.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 02 Dec 2023 14:19:49 -0400

cython (3.0.5-2) experimental; urgency=medium

  * Team upload.
  * cython3: Breaks + Replaces cython3-dbg. (Closes: #1056627)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 Nov 2023 13:48:37 +0000

cython (3.0.5-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release. (Closes: #1028157, #1055681)
  * Refresh patches.
  * Drop patch deb_disable_googleanalytics, superseded upstream.
  * Build-Depends-Indep: python3-sphinx-issues, python3-sphinx-tabs.
  * Copy more bits into the testsuite autopkgtest.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 23 Nov 2023 18:01:46 +0000

cython (0.29.36-4ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Dec 2023 10:07:28 +0100

cython (0.29.36-4) unstable; urgency=medium

  * Team upload.
  * Use zombie-imp to prevent pyximport from crashing under Python 3.12.
    Note that pyximport seems not to work with Python 3.12 even with this
    patch.
  * Skip (autopkg)tests which fail with Python 3.12.
  * Call python as python3 in Makefiles

 -- Julian Gilbey <jdg@debian.org>  Fri, 15 Dec 2023 10:43:00 +0000

cython (0.29.36-3.1ubuntu2) noble; urgency=medium

  * Merge with Debian; remainig changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Dec 2023 08:17:01 +0100

cython (0.29.36-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid using the thread state attribute "use_tracing" in Python 3.12.
    Patch taken from upstream. "however, that doesn't mean that
    profiling/tracing now works in Py3.12".

 -- Matthias Klose <doko@debian.org>  Sun, 10 Dec 2023 00:06:47 +0100

cython (0.29.36-3ubuntu1) noble; urgency=medium

  * Merge with Debian; remainig changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Nov 2023 13:31:59 +0100

cython (0.29.36-3) unstable; urgency=medium

  * Team upload.
  * cython3: Breaks + Replaces cython3-dbg. (Closes: #1056627)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 Nov 2023 13:44:02 +0000

=== debian/control ===
Source: cython
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondrej Certik <ondrej@certik.cz>,
           Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-exec,
               dh-python,
               gdb <!nocheck>,
               help2man,
               python3-all-dbg,
               python3-all-dev,
               python3-numpy [!i386] <!nocheck>,
               python3-setuptools <!nocheck>
Build-Depends-Indep: python3-sphinx, python3-sphinx-issues, python3-sphinx-tabs
Standards-Version: 4.6.1
Homepage: http://cython.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/cython.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cython

Package: cython3
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: gcc, python3-dev
Replaces: cython3-dbg (<< 0.29.36-2~), cython (<< 0.29.14-2)
Breaks: cython3-dbg (<< 0.29.36-2~), cython (<< 0.29.14-2)
Suggests: cython-doc
Description: C-Extensions for Python 3
 Cython is a language that makes writing C extensions for the Python language as
 easy as Python itself. Cython is based on the well-known Pyrex, but supports
 more cutting edge functionality and optimizations.
 .
 The Cython language is very close to the Python language, but Cython
 additionally supports calling C functions and declaring C types on variables
 and class attributes. This allows the compiler to generate very efficient C
 code from Cython code.
 .
 This makes Cython the ideal language for wrapping external C libraries, and
 for fast C modules that speed up the execution of Python code.

Package: cython-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Suggests: cython3
Description: C-Extensions for Python - documentation
 This package contains documentation for Cython.
